Accounts
Deactivate a entity
Soft-deletes (deactivates) a entity on the account.
DELETE
/
v1
/
accounts
/
{accountId}
/
entities
/
{entityId}
Deactivate a entity
curl --request DELETE \
--url https://api.slate.inc/accounts/v1/accounts/{accountId}/entities/{entityId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.slate.inc/accounts/v1/accounts/{accountId}/entities/{entityId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.slate.inc/accounts/v1/accounts/{accountId}/entities/{entityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Owner-scoped bearer token. The owner all requests are scoped to is derived from the token.
Path Parameters
Slate's UUID for the account (returned by the upsert). The canonical account identifier.
Slate's UUID for the entity (customer). The canonical entity identifier.
Response
The entity was deactivated.
⌘I
Deactivate a entity
